> ## Documentation Index
> Fetch the complete documentation index at: https://docs.old.palomma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve payin settlement



## OpenAPI

````yaml GET /merchantAccounts/{merchantAccountId}/settlements/{payinSettlementId}
openapi: 3.0.0
info:
  title: Palomma API
  description: This API includes functionality of the Palomma API.
  version: 1.0.0
servers:
  - url: https://api.palomma.com/v0
    description: Production server
  - url: https://sandbox.api.palomma.com/v0
    description: Sandbox server
security:
  - BearerAuth: []
paths:
  /merchantAccounts/{merchantAccountId}/settlements/{payinSettlementId}:
    get:
      tags:
        - Payin Settlements
      summary: Retrieve a Payin Settlement
      operationId: getPayoutRequestById
      parameters:
        - name: merchantAccountId
          in: path
          required: true
          description: Unique identifier of the merchant account.
          schema:
            type: string
        - name: payinSettlementId
          in: path
          required: true
          description: Unique identifier of the payin settlement.
          schema:
            type: string
      responses:
        '200':
          description: Payin Settlement retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayinSettlement'
        '400':
          description: Bad request.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '404':
          description: Payout Request not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
components:
  schemas:
    PayinSettlement:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for this Payin Settlement.
          example: 01HPR57X6QR5ZRKEEKBSDBW4RA
        merchantAccountId:
          type: string
          description: Reference to Merchant Account to which the Payin Settlement belongs.
          example: 01HPR8S7YF43PV3QV16TZDC80P
        totalAmountCollected:
          type: number
          description: Total amount collected by payins included in the Payin Settlement.
          example: 100000
        totalFees:
          type: number
          description: Total fees associated to payins included in the Payin Settlement.
          example: 500
        numberOfPayins:
          type: number
          description: Total number of payins included in the Payin Settlement.
          example: 5
        payinSettlementDate:
          type: string
          description: Date of the Payin Settlement.
          example: '2024-08-28'
        payinSettlementCycle:
          type: number
          description: >-
            Cycle of the Payin Settlement. It can be one of the five cycles of
            the day: 11, 13, 16, 18, 20, corresponding to the hour in the day
            when the payin settlement was created.
          example: 11
        createdAt:
          type: string
          format: date-time
          description: ISO string indicating when the Payin Settlement was created.
        updatedAt:
          type: string
          format: date-time
          description: ISO string indicating when the Payin Settlement was last updated.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````